Package Details: python-pdm 1.10.0-2

Git Clone URL: https://aur.archlinux.org/python-pdm.git (read-only, click to copy)
Package Base: python-pdm
Description: A modern Python package manager with PEP 582 support.
Upstream URL: https://pdm.fming.dev/
Keywords: pdm pep517 python
Licenses: MIT
Submitter: rmsc
Maintainer: samarthj
Last Packager: samarthj
Votes: 3
Popularity: 0.91
First Submitted: 2021-04-13 16:52
Last Updated: 2021-10-26 01:26

Pinned Comments

samarthj commented on 2021-08-23 19:20

quickest way to reach me for changes/updates/issues/pull-requests - https://github.com/samarthj/AUR

Latest Comments

samarthj commented on 2021-08-23 19:20

quickest way to reach me for changes/updates/issues/pull-requests - https://github.com/samarthj/AUR

rmsc commented on 2021-06-14 17:57

Sorry for the late reply, but I'm afraid I'll have to stop maintaining this package. Couldn't get it to work properly for me, so I'm not using it anymore.

If anyone's interested in taking over, please go ahead.

blueyed commented on 2021-05-31 14:50

python-resolvelib should get pinned.

With https://github.com/pdm-project/pdm/commit/4b49d8d the resolvelib dependency was upgraded.

python-resolvelib is at version 0.5.4-1 though, likely leading to the following error with python-pdm 1.5.3-1:

% /usr/bin/pdm model1 -v
======== Start resolving requirements ========
        django~=3.1
        …
        Adding requirement django~=3.1
Traceback (most recent call last):
  File "/usr/lib/python3.9/site-packages/resolvelib/resolvers.py", line 171, in _merge_into_criterion
    crit = self.state.criteria[name]
KeyError: 'django'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/pdm", line 8, in <module>
    sys.exit(main())
  File "/usr/lib/python3.9/site-packages/pdm/core.py", line 184, in main
    return Core().main(args)
  File "/usr/lib/python3.9/site-packages/pdm/core.py", line 145, in main
    raise cast(Exception, err).with_traceback(traceback)
  File "/usr/lib/python3.9/site-packages/pdm/core.py", line 140, in main
    f(options.project, options)
  File "/usr/lib/python3.9/site-packages/pdm/cli/commands/model1.py", line 12, in handle
    actions.do_model1(project)
  File "/usr/lib/python3.9/site-packages/pdm/cli/actions.py", line 64, in do_model1
    mapping, dependencies, summaries = resolve(
  File "/usr/lib/python3.9/site-packages/pdm/resolver/core.py", line 150, in resolve
    result = resolver.resolve(requirements, max_rounds)
  File "/usr/lib/python3.9/site-packages/resolvelib/resolvers.py", line 453, in resolve
    state = resolution.resolve(requirements, max_rounds=max_rounds)
  File "/usr/lib/python3.9/site-packages/resolvelib/resolvers.py", line 318, in resolve
    name, crit = self._merge_into_criterion(r, parent=None)
  File "/usr/lib/python3.9/site-packages/pdm/resolver/core.py", line 24, in _merge_into_criterion
    identifier, crit = _old_merge_into_criterion(self, requirement, parent)
  File "/usr/lib/python3.9/site-packages/resolvelib/resolvers.py", line 173, in _merge_into_criterion
    crit = Criterion.from_requirement(self._p, requirement, parent)
  File "/usr/lib/python3.9/site-packages/resolvelib/resolvers.py", line 79, in from_requirement
    cands = build_iter_view(provider.find_matches([requirement]))
TypeError: find_matches() missing 2 required positional arguments: 'requirements' and 'incompatibilities'

Given that the requirement is out-of-date the upgrade for python-pdm should have been hold back also likely.

rmsc commented on 2021-05-04 13:00

Good catch, thanks!

cubercsl commented on 2021-04-29 08:45

Traceback (most recent call last):
  File "/usr/bin/pdm", line 5, in <module>
    from pdm.core import main
  File "/usr/lib/python3.9/site-packages/pdm/__init__.py", line 5, in <module>
    from pdm.cli.commands.base import BaseCommand
  File "/usr/lib/python3.9/site-packages/pdm/cli/commands/base.py", line 4, in <module>
    from pdm.cli.options import Option, global_option, project_option, verbose_option
  File "/usr/lib/python3.9/site-packages/pdm/cli/options.py", line 6, in <module>
    from pdm.project import Project
  File "/usr/lib/python3.9/site-packages/pdm/project/__init__.py", line 1, in <module>
    from pdm.project.config import Config, ConfigItem  # noqa
  File "/usr/lib/python3.9/site-packages/pdm/project/config.py", line 9, in <module>
    import tomlkit
ModuleNotFoundError: No module named 'tomlkit'

It seems that python-tomlkit should be added into dependenies.